Subject: Re: [PATCH net-next 0/6] bonding: get rid of bond->lock

From: Nikolay Aleksandrov <[email-masked]>
Date: Tue, 09 Sep 2014 21:49:06 +0200

On 09/09/2014 08:57 PM, David Miller wrote:
> From: David Miller <[email-masked]>
> Date: Tue, 09 Sep 2014 11:51:39 -0700 (PDT)
> 
>> You are a brave person playing with bond locking, I must say :)
>>
>> Series applied, thanks.
> 
> Sorry I had to revert, there is code referencing the bond->lock in
> the cxgb4 driver :-/
> 
> drivers/net/ethernet/chelsio/cxgb4/cxgb4_main.c: In function ‘cxgb4_inet6addr_handler’:
> drivers/net/ethernet/chelsio/cxgb4/cxgb4_main.c:4393:3: error: ‘struct bonding’ has no member named ‘lock’
> drivers/net/ethernet/chelsio/cxgb4/cxgb4_main.c:4407:3: error: ‘struct bonding’ has no member named ‘lock’
> 
> Please test build with allmodconfig.
> 
Wow, my bad! Sorry about that, I didn't expect it.
I will take a look and fix it in v2 + the allmodconfig test :-)

Thanks!